/*
 * This file is part of the Emulex Linux Device Driver for iSCSI Host Bus
 * Adapters.
 * Copyright (C) 2003 Adaptec, Inc.
 * Copyright (C) 2005-2011 Emulex.
 * All rights reserved.
 * EMULEX and SLI are trademarks of Emulex.
 * www.emulex.com
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of version 2 of the GNU General Public License as published
 * by the Free Software Foundation. This program is distributed in the hope that
 * it will be useful. ALL EXPRESS OR IMPLIED CONDITIONS, REPRESENTATIONS AND
 * WARRANTIES, INCLUDING ANY IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT, ARE DISCLAIMED, EXCEPT TO THE EXTENT
 * THAT SUCH DISCLAIMERS ARE HELD TO BE LEGALLY INVALID. See the GNU General
 * Public License for more details, a copy of which can be found in the file
 * COPYING included with this package.
 */
/*!
@file
   emulation.c

@brief
   
CVS Header Information:
   $Header: $
*/

#include "pch.h"

#if defined(BE_EMULATION) || defined(BE_SELECTIVE_EMULATION)
    #include "emul_gen_macros.h"
    #include "be2_gen_top.h"

    #if defined(BENDIS_RDMA)
        #include "mccemul_rdma_ll.c"
    #endif

    #include "mccemul_ll.c"

    #include "mpuemul_ll.c"

#else

    void BE_AVOID_EMPTY_C_FILE_COMPILE_ERROR_FUNCTION (void) {
    }

#endif
