/*
 * This file is part of the Emulex Linux Device Driver for iSCSI Host Bus
 * Adapters.
 * Copyright (C) 2003 Adaptec, Inc.
 * Copyright (C) 2005-2011 Emulex.
 * All rights reserved.
 * EMULEX and SLI are trademarks of Emulex.
 * www.emulex.com
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of version 2 of the GNU General Public License as published
 * by the Free Software Foundation. This program is distributed in the hope that
 * it will be useful. ALL EXPRESS OR IMPLIED CONDITIONS, REPRESENTATIONS AND
 * WARRANTIES, INCLUDING ANY IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT, ARE DISCLAIMED, EXCEPT TO THE EXTENT
 * THAT SUCH DISCLAIMERS ARE HELD TO BE LEGALLY INVALID. See the GNU General
 * Public License for more details, a copy of which can be found in the file
 * COPYING included with this package.
 */
#define STR_BE_BRANCH "0" 
#define STR_BE_BUILD "324" 
#define STR_BE_DOT   "0"
#define STR_BE_MINOR "2"
#define STR_BE_MAJOR "4"

#define BE_BRANCH 0 
#define BE_BUILD 324 
#define BE_DOT   0
#define BE_MINOR 2
#define BE_MAJOR 4

#define MGMT_BRANCH 0
#define MGMT_BUILDNUM 324
#define MGMT_MINOR 2
#define MGMT_MAJOR 4

#define BE_REDBOOT_VERSION "2.0.5.0"

//start-auto
#define BUILD_MONTH "8"
#define BUILD_MONTH_NAME "August"
#define BUILD_DAY "6"
#define BUILD_YEAR "2012"
#define BUILD_24HOUR "19"
#define BUILD_12HOUR "7"
#define BUILD_AM_PM "PM"
#define BUILD_MIN "56"
#define BUILD_SEC "35"
#define BUILD_MONTH_NUMBER 8
#define BUILD_DAY_NUMBER 6
#define BUILD_YEAR_NUMBER 2012
#define BUILD_24HOUR_NUMBER 19
#define BUILD_12HOUR_NUMBER 7
#define BUILD_MIN_NUMBER 56
#define BUILD_SEC_NUMBER 35
#undef MAJOR_BUILD
#undef MINOR_BUILD
#undef DOT_BUILD
#define NUMBERED_BUILD
#undef BRANCH_BUILD
//end-auto

