/*
 * This file is part of the Emulex Linux Device Driver for iSCSI Host Bus
 * Adapters.
 * Copyright (C) 2003 Adaptec, Inc.
 * Copyright (C) 2005-2011 Emulex.
 * All rights reserved.
 * EMULEX and SLI are trademarks of Emulex.
 * www.emulex.com
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of version 2 of the GNU General Public License as published
 * by the Free Software Foundation. This program is distributed in the hope that
 * it will be useful. ALL EXPRESS OR IMPLIED CONDITIONS, REPRESENTATIONS AND
 * WARRANTIES, INCLUDING ANY IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A
 * PARTICULAR PURPOSE, OR NON-INFRINGEMENT, ARE DISCLAIMED, EXCEPT TO THE EXTENT
 * THAT SUCH DISCLAIMERS ARE HELD TO BE LEGALLY INVALID. See the GNU General
 * Public License for more details, a copy of which can be found in the file
 * COPYING included with this package.
 */
#define GET_ALL_SESSIONS_PARAMS_OUT_FIXEDSIZE   STRUCT_FIELD_OFFSET(GET_ALL_SESSIONS_PARAMS_OUT, session_list)
#define SCSI_INQUIRY_PARAMS_OUT_FIXEDSIZE       STRUCT_FIELD_OFFSET(SCSI_INQUIRY_PARAMS_OUT, response_data)
#define SCSI_READ_CAPACITY_PARAMS_OUT_FIXEDSIZE STRUCT_FIELD_OFFSET(SCSI_READ_CAPACITY_PARAMS_OUT, response_data)
#define SCSI_REPORT_LUNS_PARAMS_OUT_FIXEDSIZE   STRUCT_FIELD_OFFSET(SCSI_REPORT_LUNS_PARAMS_OUT, response_data)
#define GET_ALL_SESSION_ID_PARAMS_OUT_FIXEDSIZE STRUCT_FIELD_OFFSET(GET_ALL_SESSION_ID_PARAMS_OUT, session_id_list)
#define GET_ALL_PLOGIN_TGTID_PORTAL_PARAMS_OUT_FIXEDSIZE STRUCT_FIELD_OFFSET(GET_ALL_PLOGIN_TGTID_PORTAL_PARAMS_OUT, list[0])

/* Max size definitions */
#define GET_ALL_SESSION_ID_PARAMS_MAXSIZE       (GET_ALL_SESSION_ID_PARAMS_OUT_FIXEDSIZE + sizeof(SESSION_ID_CONN_COUNT) * (BE_MAX_TARGETS))
